Bug 1198209 - Cannot import pygit2 [NEEDINFO]
Summary: Cannot import pygit2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-pygit2
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-03 14:58 UTC by Matěj Cepl
Modified: 2018-04-11 10:56 UTC (History)
4 users (show)

Fixed In Version: python-pygit2-0.24.0-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-31 20:29:34 UTC
mcepl: needinfo? (i)


Attachments (Terms of Use)
suggested patch (223 bytes, patch)
2015-03-03 16:43 UTC, Matěj Cepl
no flags Details | Diff
make package buildable for EPEL-7 (4.75 KB, patch)
2015-03-03 16:54 UTC, Matěj Cepl
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Github libgit2 pygit2 issues 470 None None None Never

Description Matěj Cepl 2015-03-03 14:58:27 UTC
Description of problem:
matej@mitmanek: jbrout (master)$ python
Python 2.7.5 (default, Feb 11 2014, 07:46:25) 
[GCC 4.8.2 20140120 (Red Hat 4.8.2-13)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import pygit2
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/pygit2/__init__.py", line 35, in <module>
    from .blame import Blame, BlameHunk
  File "/usr/lib64/python2.7/site-packages/pygit2/blame.py", line 32, in <module>
    from .errors import check_error
  File "/usr/lib64/python2.7/site-packages/pygit2/errors.py", line 29, in <module>
    from .ffi import ffi, C
  File "/usr/lib64/python2.7/site-packages/pygit2/ffi.py", line 35, in <module>
    ffi, C = get_ffi()
  File "/usr/lib64/python2.7/site-packages/pygit2/_utils.py", line 85, in get_ffi
    ffi.cdef(header.read())
  File "/usr/lib64/python2.7/site-packages/cffi/api.py", line 103, in cdef
    self._parser.parse(csource, override=override, packed=packed)
  File "/usr/lib64/python2.7/site-packages/cffi/cparser.py", line 166, in parse
    self._internal_parse(csource)
  File "/usr/lib64/python2.7/site-packages/cffi/cparser.py", line 172, in _internal_parse
    ast, macros, csource = self._parse(csource)
  File "/usr/lib64/python2.7/site-packages/cffi/cparser.py", line 129, in _parse
    self.convert_pycparser_error(e, csource)
  File "/usr/lib64/python2.7/site-packages/cffi/cparser.py", line 158, in convert_pycparser_error
    raise api.CDefError(msg)
cffi.api.CDefError: cannot parse "typedef int64_t git_time_t;"
:490: Multiple type specifiers with a type tag
>>>

Version-Release number of selected component (if applicable):
python-pygit2-0.21.4-2.el7.x86_64
libgit2-0.21.1-1.el7.x86_64
python-cffi-0.8.6-1.el7.x86_64

Comment 1 Matěj Cepl 2015-03-03 16:43:50 UTC
Created attachment 997590 [details]
suggested patch

pygit2/decl.h contains twice typdef for git_time_t

Comment 2 Matěj Cepl 2015-03-03 16:54:02 UTC
Created attachment 997591 [details]
make package buildable for EPEL-7

Just make the build of python3 conditional

Comment 3 Fedora Update System 2016-03-29 23:04:24 UTC
rubygem-rugged-0.24.0-1.fc24 julia-0.4.5-2.fc24 gnome-builder-3.20.0-1.fc24 gitg-3.20.0-1.fc24 subsurface-4.4.2-5.fc24 python-pygit2-0.24.0-1.fc24 libgit2-glib-0.24.0-2.fc24 libgit2-0.24.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fadc1e6504

Comment 4 Fedora Update System 2016-03-30 22:26:21 UTC
gitg-3.20.0-1.fc24, gnome-builder-3.20.0-1.fc24, julia-0.4.5-2.fc24, kate-15.12.3-2.fc24, kf5-ktexteditor-5.20.0-3.fc24, libgit2-0.24.0-1.fc24, libgit2-glib-0.24.0-2.fc24, python-pygit2-0.24.0-1.fc24, rubygem-rugged-0.24.0-1.fc24, subsurface-4.4.2-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fadc1e6504

Comment 5 Fedora Update System 2016-03-31 20:29:24 UTC
gitg-3.20.0-1.fc24, gnome-builder-3.20.0-1.fc24, julia-0.4.5-2.fc24, kate-15.12.3-2.fc24, kf5-ktexteditor-5.20.0-3.fc24, libgit2-0.24.0-1.fc24, libgit2-glib-0.24.0-2.fc24, python-pygit2-0.24.0-1.fc24, rubygem-rugged-0.24.0-1.fc24, subsurface-4.4.2-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.